ALTER TRIGGER "tub_pv_kanne" BEFORE UPDATE
ORDER 1 ON "DBA"."pv_kanne"
referencing old as old_name new as new_name
FOR EACH ROW
BEGIN
  if years(new_name.kuup)>2020 then
    call pr_kanne_add(month(new_name.kuup),years(new_name.kuup),new_name.yksusnr,6);
    if (month(old_name.kuup)<>month(new_name.kuup)) or (old_name.yksusnr<>new_name.yksusnr) then
      call pr_kanne_add(month(old_name.kuup),years(old_name.kuup),old_name.yksusnr,6);
    end if;
  end if;
  set new_name.kell2=Now(*)
END